Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.security.authentication.util
Class SignerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.hadoop.security.authentication.util.SignerException

All Implemented Interfaces:
  Serializable

    public class SignerException

extends Exception

Exception thrown by `Signer` when a string signature is invalid.

See Also:
  Serialized Form

Constructor Summary
`SignerException(String msg)` Creates an exception instance.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SignerException

    public SignerException(String msg)

  Creates an exception instance.

  Parameters:
    `msg` - message for the exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation